Subject: bug#8653: 24.0.50; `M-x grep' output converts `~' to /cygdrive/c/...

From: "Drew Adams" <[email-masked]>
Date: Wed, 11 May 2011 08:33:37 -0700

Same thing exists in Emacs versions back to at least 20.7, so this is
nothing new.
 
M-x grep foo ~/mydir/f*.el
results in this kind of output in buffer *grep*:
 
/cygdrive/c/mydir/foobar.el:203: blah blah foo blah
 
Seems like Emacs & grep should be able to keep `~/' instead of printing
`/cygdrive/c/'.  The current behavior is less readable and uses 10 more
characters.
 
emacs -Q, then load cygwin-mount.el then setup-cygwin.el, found here:
http://www.emacswiki.org/cgi-bin/wiki?action=index;match=%5C.(el%7Ctar)(%5C.gz)%
3F%24
 
In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-05-10 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt --cflags
-Ic:/build/include'